I found two problems in mail test.
(${LTPROOT}/testcases/commands/mail/mail_tests.sh)
They are simple mistakes, I think.

1) About judgment for making a user name
In line 80 of "mail_tests.sh", there is following sentence.
------------
if id -u mail_test >/dev/null 2>&1; then
------------
This control sentence is going to judge whether the result of
"id -u mail_test" command is normal or not, I think.
But this sentence is not effective.
Therefore the user name "make_test" cannot be made when this user name
isn't exist.

2) About "blind carbon copy" option
In "mail_tests.sh", there are 5 tests about mail.
5th is "blind carbon copy" test.
However, this test doesn't use "-b" option but uses "-c" option.

Signed-off-by: Tomonori Mitani <mitani@ryobi.co.jp>
Signed-off-by: Rishikesh K Rajak <risrajak@linux.vnet.ibm.com>
diff --git a/testcases/commands/mail/mail_tests.sh b/testcases/commands/mail/mail_tests.sh
index 790cdd6..ff4540c 100755
--- a/testcases/commands/mail/mail_tests.sh
+++ b/testcases/commands/mail/mail_tests.sh
@@ -77,7 +77,8 @@
 
 # check if the user mail_test exists on this system.
 # if not add that user mail_test, will removed before exiting test.
-if id -u mail_test >/dev/null 2>&1; then
+id -u mail_test >/dev/null 2>&1
+if [ $? -ne 0 ] ; then
 	tst_resm TINFO "INIT: Adding temporary user mail_test"
 	useradd -m -s /sbin/nologin mail_test > $LTPTMP/tst_mail.out 2>&1
 	if [ $? -ne 0 ]; then
@@ -327,7 +328,7 @@
 tst_resm TINFO "Test #5: blind carbon copy user@domain"
 
 # send mail to root and carbon copy mail_test 
-mail -s "Test" root@localhost -c mail_test@localhost < \
+mail -s "Test" root@localhost -b mail_test@localhost < \
 	$LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
 if [ $? -ne 0 ]; then
 	tst_res TFAIL $LTPTMP/tst_mail.out \
@@ -344,10 +345,10 @@
 
 	if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
 		tst_resm TPASS \
-		    "Test #5: Mail was carbon copied to user mail_test"
+		    "Test #5: Mail was blind carbon copied to user mail_test"
 	else
 		tst_res TFAIL $LTPTMP/tst_mail.res \
-		    "Test #5: mail failed to carbon copy user mail_test. Reason:"
+		    "Test #5: mail failed to blind carbon copy user mail_test. Reason:"
 		: $(( TFAILCNT += 1 ))
 	fi